Package org.eclipse.emf.spi.cdo

# Class DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T>

java.lang.Object
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T>

Direct Known Subclasses:
  `DefaultCDOMerger.PerFeature.ManyValuedOld.Element`

Enclosing class:
  `DefaultCDOMerger.PerFeature.ManyValuedOld`

public static class DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T> extends Object
Holds data for the source and target sides.

Since:
  4.2
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`PerSide()`
`PerSide(T source, T target)`

## Method Summary

Modifier and Type
Method
Description
`final T`
`get(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)`
`final void`
`set(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side, T value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PerSide

public PerSide()

### PerSide

public PerSide(T source, T target)

## Method Details

### get

public final T get(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)

### set

public final void set(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side, T value)

### toString

public String toString()

Overrides:
  `toString` in class `Object`